package cn.com.qmth.stmms.biz.exam.service;

import cn.com.qmth.stmms.biz.exam.model.Exam;
import cn.com.qmth.stmms.biz.exam.query.ExamSearchQuery;
import cn.com.qmth.stmms.biz.mark.model.PictureConfigItem;
import cn.com.qmth.stmms.common.enums.ExamStatus;

import java.util.Date;
import java.util.List;

public interface ExamService {

    Exam save(Exam exam);

    Exam findById(Integer id);

    void updateStatus(Integer id, ExamStatus status);

    void updateSliceConfig(Integer id, List<PictureConfigItem> configList);

    void updateNeedCalculate(Integer id, boolean needCalculate);

    ExamSearchQuery findByQuery(ExamSearchQuery query);

    List<Exam> findBySchoolId(Integer schoolId);

    void updateProcess(Integer examId, Double process);

    Exam findBySchoolAndCode(Integer schoolId, String code);

    List<Exam> findByUserId(Integer id, Date time);

}
